getnetbyname(3z)

NAME
getnetbyname, getnetbynumber - get network entry

SYNOPSIS
#include <net/resolv.h>

int getnetbyname(char *name);
char *getnetbynumber(int network, char * buf);

DESCRIPTION
The getnetbyname() function returns the standard number for the network with the name name. If no network is known then NULL is returned.

The getnetbynumber() function copies into buf (and returns buf) the network matching the network. If no network is known then network is returned in ASCII form.

RETURN VALUE
Detailed above.

NOTES
These functions use a lookup table compiled into the ZSock kernel, it is not likely that method will change in the near future.

AUTHOR
Dominic Morris <dom@jb.man.ac.uk>